--- old/usr/src/cmd/hwdata/pci.ids	Tue Oct 18 16:50:06 2016
+++ new/usr/src/cmd/hwdata/pci.ids	Tue Oct 18 16:50:06 2016
@@ -1,8 +1,8 @@
 #
 #	List of PCI ID's
 #
-#	Version: 2016.04.04
-#	Date:    2016-04-04 03:15:02
+#	Version: 2016.10.15
+#	Date:    2016-10-15 03:15:02
 #
 #	Maintained by Albert Pool, Martin Mares, and other volunteers from
 #	the PCI ID Project at http://pci-ids.ucw.cz/.
@@ -242,6 +242,24 @@
 		1000 1000  LSI53C895A PCI to Ultra2 SCSI Controller
 	0013  53c875a
 		1000 1000  LSI53C875A PCI to Ultra SCSI Controller
+	0014  MegaRAID Tri-Mode SAS3516
+		1028 1fd4  PERC H745P MX
+		1d49 0602  ThinkSystem RAID 930-16i 4GB Flash PCIe 12Gb Adapter
+	0016  MegaRAID Tri-Mode SAS3508
+		1028 1fc9  PERC H840 Adapter
+		1028 1fcb  PERC H740P Adapter
+		1028 1fcd  PERC H740P Mini
+		1028 1fcf  PERC H740P Mini
+		1d49 0601  ThinkSystem RAID 930-8i 2GB Flash PCIe 12Gb Adapter
+		1d49 0603  ThinkSystem RAID 930-24i 4GB Flash PCIe 12Gb Adapter
+		1d49 0604  ThinkSystem RAID 930-8e 4GB Flash PCIe 12Gb Adapter
+	0017  MegaRAID Tri-Mode SAS3408
+		1d49 0500  ThinkSystem RAID 530-8i PCIe 12Gb Adapter
+		1d49 0502  ThinkSystem RAID 530-8i Dense Adapter
+	001b  MegaRAID Tri-Mode SAS3504
+		1d49 0605  ThinkSystem RAID 930-4i 2GB Flash Flex Adapter
+	001c  MegaRAID Tri-Mode SAS3404
+		1d49 0501  ThinkSystem RAID 530-4i Flex Adapter
 	0020  53c1010 Ultra3 SCSI Adapter
 		1000 1000  LSI53C1010-33 PCI to Dual Channel Ultra160 SCSI Controller
 		107b 1040  Server Onboard 53C1010-33
@@ -271,6 +289,7 @@
 		103c 12c5  Ultra320 SCSI [A7173A]
 		103c 1323  Core I/O LAN/SCSI Combo [AB314A]
 		103c 3108  Single Channel Ultra320 SCSI HBA G2
+		103c 322a  SC11Xe Ultra320 Single Channel PCIe x4 SCSI Host Bus Adapter (412911-B21)
 		124b 1170  PMC-USCSI320
 # VMware's emulation of this device. Was missing from the list.
 		15ad 1976  LSI Logic Parallel SCSI Controller
@@ -348,6 +367,8 @@
 	005c  SAS1064A PCI-X Fusion-MPT SAS
 	005d  MegaRAID SAS-3 3108 [Invader]
 		1000 9361  MegaRAID SAS 9361-8i
+		1000 9364  MegaRAID SAS 9364-8i
+		1000 936a  MegaRAID SAS 9364-8i
 		1028 1f41  PERC H830 Adapter
 		1028 1f42  PERC H730P Adapter
 		1028 1f43  PERC H730 Adapter
@@ -358,8 +379,10 @@
 		1028 1f4d  PERC FD33xS
 		1028 1f4f  PERC H730P Slim
 		1028 1f54  PERC FD33xD
+		1028 1fd1  PERC H730P MX
 		17aa 1052  ThinkServer RAID 720i
 		17aa 1053  ThinkServer RAID 720ix
+		1d49 0600  ThinkSystem RAID 730-8i 1GB Cache PCIe 12Gb Adapter
 	005e  SAS1066 PCI-X Fusion-MPT SAS
 	005f  MegaRAID SAS-3 3008 [Fury]
 		1028 1f44  PERC H330 Adapter
@@ -478,6 +501,21 @@
 	007c  MegaRAID SAS 1078DE
 		1014 0395  ServeRAID-AR10is SAS/SATA Controller
 	007e  SSS6200 PCI-Express Flash SSD
+		1000 0504  Nytro NWD-BLP4-800
+		1000 0507  Nytro NWD-BLP4-1600
+		1000 0581  Nytro NWD-BLP4-400
+		1000 100d  Nytro NWD-BFH6-1200
+		1000 100e  Nytro NWD-BFH8-1600
+		1000 107e  Nytro NWD-BFH8-3200
+		1000 1310  Nytro XP6302-8B1536
+		1000 1311  Nytro XP6302-8B2048
+		1000 1314  Nytro XP6302-8B4096
+		1000 150c  Nytro XP6210-4A2048
+		1000 150f  Nytro XP6210-4B2048
+		1000 160b  Nytro XP6209-4A1024
+		1000 1613  Nytro XP6209-4B2048
+		108e 050a  Nytro ELP4x200_4d_n
+		108e 0581  Nytro ELP4x100_4d_n
 	0080  SAS2208 PCI-Express Fusion-MPT SAS-2
 	0081  SAS2208 PCI-Express Fusion-MPT SAS-2
 	0082  SAS2208 PCI-Express Fusion-MPT SAS-2
@@ -488,6 +526,7 @@
 	0087  SAS2308 PCI-Express Fusion-MPT SAS-2
 		1000 3020  9207-8i SAS2.1 HBA
 		1000 3040  9207-8e SAS2.1 HBA
+		1000 3050  SAS9217-8i
 		1590 0044  H220i
 	008f  53c875J
 		1092 8000  FirePort 40 SCSI Controller
@@ -498,8 +537,23 @@
 	0095  SAS3108 PCI-Express Fusion-MPT SAS-3
 	0096  SAS3004 PCI-Express Fusion-MPT SAS-3
 	0097  SAS3008 PCI-Express Fusion-MPT SAS-3
-		1028 1f45  12GB/s HBA internal
+		1000 3090  SAS9311-8i
+		1000 30e0  SAS9300-8i
+		1028 1f45  HBA330 Adapter
 		1028 1f46  12Gbps HBA
+		1028 1f53  HBA330 Mini
+		1028 1fd2  HBA330 MX
+		1028 1fd3  HBA330 MMZ
+	00ab  SAS3516 Fusion-MPT Tri-Mode RAID On Chip (ROC)
+	00ac  SAS3416 Fusion-MPT Tri-Mode I/O Controller Chip (IOC)
+		1d49 0201  ThinkSystem 9400-16i PCIe 12Gb HBA
+		1d49 0203  ThinkSystem 9400-16e PCIe 12Gb HBA
+	00ae  SAS3508 Fusion-MPT Tri-Mode RAID On Chip (ROC)
+	00af  SAS3408 Fusion-MPT Tri-Mode I/O Controller Chip (IOC)
+		1d49 0200  ThinkSystem 9400-8i PCIe 12Gb HBA
+		1d49 0202  ThinkSystem 9400-8e PCIe 12Gb HBA
+	00be  SAS3504 Fusion-MPT Tri-Mode RAID On Chip (ROC)
+	00bf  SAS3404 Fusion-MPT Tri-Mode I/O Controller Chip (IOC)
 	00c0  SAS3324 PCI-Express Fusion-MPT SAS-3
 	00c1  SAS3324 PCI-Express Fusion-MPT SAS-3
 	00c2  SAS3324 PCI-Express Fusion-MPT SAS-3
@@ -515,6 +569,9 @@
 		1000 9390  MegaRAID SAS 9380-8i8e
 	00cf  MegaRAID SAS-3 3324 [Intruder]
 		1000 9370  MegaRAID SAS 9361-24i
+	00d0  SAS3716 Fusion-MPT Tri-Mode RAID Controller Chip (ROC)
+	00d1  SAS3616 Fusion-MPT Tri-Mode I/O Controller Chip (IOC)
+	00d3  MegaRAID Tri-Mode SAS3716W
 	0407  MegaRAID
 		1000 0530  MegaRAID 530 SCSI 320-0X RAID Controller
 		1000 0531  MegaRAID 531 SCSI 320-4X RAID Controller
@@ -1371,23 +1428,23 @@
 	5a11  RD890 Northbridge only single slot PCI-e GFX Hydra part
 	5a12  RD890 Northbridge only dual slot (2x8) PCI-e GFX Hydra part
 		15d9 a811  H8DGU
-	5a13  RD890 PCI to PCI bridge (external gfx0 port A)
-	5a14  RD890 PCI to PCI bridge (external gfx0 port B)
+	5a13  RD890S/SR5650 Host Bridge
+	5a14  RD9x0/RX980 Host Bridge
 	5a15  RD890 PCI to PCI bridge (PCI express gpp port A)
-	5a16  RD890 PCI to PCI bridge (PCI express gpp port B)
-	5a17  RD890 PCI to PCI bridge (PCI express gpp port C)
-	5a18  RD890 PCI to PCI bridge (PCI express gpp port D)
+	5a16  RD890/RD9x0/RX980 PCI to PCI bridge (PCI Express GFX port 0)
+	5a17  RD890/RD9x0 PCI to PCI bridge (PCI Express GFX port 1)
+	5a18  RD890/RD9x0/RX980 PCI to PCI bridge (PCI Express GPP Port 0)
 		15d9 a811  H8DGU
-	5a19  RD890 PCI to PCI bridge (PCI express gpp port E)
-	5a1a  RD890 PCI to PCI bridge (PCI express gpp port F)
-	5a1b  RD890 PCI to PCI bridge (PCI express gpp port G)
-	5a1c  RD890 PCI to PCI bridge (PCI express gpp port H)
-	5a1d  RD890 PCI to PCI bridge (external gfx1 port A)
-	5a1e  RD890 PCI to PCI bridge (external gfx1 port B)
-	5a1f  RD890 PCI to PCI bridge (NB-SB link)
+	5a19  RD890/RD9x0/RX980 PCI to PCI bridge (PCI Express GPP Port 1)
+	5a1a  RD890/RD9x0/RX980 PCI to PCI bridge (PCI Express GPP Port 2)
+	5a1b  RD890/RD9x0/RX980 PCI to PCI bridge (PCI Express GPP Port 3)
+	5a1c  RD890/RD9x0/RX980 PCI to PCI bridge (PCI Express GPP Port 4)
+	5a1d  RD890/RD9x0/RX980 PCI to PCI bridge (PCI Express GPP Port 5)
+	5a1e  RD890/RD9x0/RX980 PCI to PCI bridge (PCI Express GPP2 Port 0)
+	5a1f  RD890/RD990 PCI to PCI bridge (PCI Express GFX2 port 0)
 		15d9 a811  H8DGU
-	5a20  RD890S PCI Express bridge for GPP2 port 1
-	5a23  RD990 I/O Memory Management Unit (IOMMU)
+	5a20  RD890/RD990 PCI to PCI bridge (PCI Express GFX2 port 1)
+	5a23  RD890S/RD990 I/O Memory Management Unit (IOMMU)
 	5a31  RC410 Host Bridge
 	5a33  RS400 Host Bridge
 	5a34  RS4xx PCI Express Port [ext gfx]
@@ -1507,6 +1564,9 @@
 	6646  Bonaire XT [Radeon R9 M280X]
 	6647  Bonaire PRO [Radeon R9 M270X]
 	6649  Bonaire [FirePro W5100]
+		1002 0b0c  FirePro W4300
+		103c 0b0c  Bonaire [FirePro W4300]
+		103c 230c  FirePro W5100
 	6650  Bonaire
 	6651  Bonaire
 	6658  Bonaire XTX [Radeon R7 260X/360]
@@ -1535,7 +1595,7 @@
 		1462 2938  Radeon R9 360 OEM
 		1462 3271  Radeon R9 360 OEM
 		1682 7360  Radeon R7 360
-	6660  Sun XT [Radeon HD 8670A/8670M/8690M / R5 M330]
+	6660  Sun XT [Radeon HD 8670A/8670M/8690M / R5 M330 / M430]
 		1028 05ea  Radeon HD 8670M
 		1028 06bf  Radeon R5 M335
 		103c 1970  Radeon HD 8670M
@@ -1543,9 +1603,11 @@
 		103c 8136  Radeon R5 M330
 		17aa 3804  Radeon R5 M330
 		17aa 3809  Radeon R5 M330
+		17aa 381a  Radeon R5 M430
 		17aa 390c  Radeon R5 M330
 	6663  Sun PRO [Radeon HD 8570A/8570M]
 		1025 0846  Radeon HD 8570A
+		17aa 3805  Radeon HD 8570M
 	6664  Jet XT [Radeon R5 M240]
 	6665  Jet PRO [Radeon R5 M230]
 		17aa 368f  Radeon R5 A230
@@ -2080,9 +2142,11 @@
 		1462 8036  Radeon HD 8990 OEM
 		148c 8990  Radeon HD 8990 OEM
 	679e  Tahiti LE [Radeon HD 7870 XT]
+		1787 2328  Radeon HD 7870 Black Edition 2 GB GDDR5 [2GBD5-2DHV3E]
 	679f  Tahiti
 	67a0  Hawaii XT GL [FirePro W9100]
 		1002 0335  FirePro S9150
+		1002 0735  FirePro S9170
 		1028 031f  FirePro W9100
 		1028 0335  FirePro S9150
 	67a1  Hawaii PRO GL [FirePro W8100]
@@ -2092,17 +2156,25 @@
 	67a8  Hawaii
 	67a9  Hawaii
 	67aa  Hawaii
-	67b0  Hawaii XT [Radeon R9 290X]
+	67b0  Hawaii XT / Grenada XT [Radeon R9 290X/390X]
+		1028 0b00  Grenada XT [Radeon R9 390X]
+		103c 6566  Radeon R9 390X
 		1043 046a  R9 290X DirectCU II
 		1043 046c  R9 290X DirectCU II OC
 		1043 0474  Matrix R9 290X Platinum
 		1043 0476  ARES III
+		1043 04d7  Radeon R9 390X
+		1043 04db  Radeon R9 390X
+		1043 04df  Radeon R9 390X
+		1043 04e9  Radeon R9 390X
 		1458 227c  R9 290X WindForce 3X OC
 		1458 2281  R9 290X WindForce 3X OC
 		1458 228c  R9 290X WindForce 3X
 		1458 228d  R9 290X WindForce 3X OC
 		1458 2290  R9 290X WindForce 3X
+		1458 22bc  Radeon R9 390X
 		1458 22c1  Grenada PRO [Radeon R9 390]
+		1462 2015  Radeon R9 390X
 		1462 3070  R9 290X Lightning
 		1462 3071  R9 290X Lightning
 		1462 3072  R9 290X Lightning LE
@@ -2109,20 +2181,43 @@
 		1462 3080  R9 290X Gaming
 		1462 3082  R9 290X Gaming OC
 		148c 2347  Devil 13 Dual Core R9 290X
+		148c 2357  Grenada XT [Radeon R9 390X]
 		1682 9290  Double Dissipation R9 290X
+		1682 9395  Grenada XT [Radeon R9 390X]
+		174b 0e34  Radeon R9 390X
 		174b e282  Vapor-X R9 290X Tri-X OC
 		174b e285  R9 290X Tri-X OC
+		174b e324  Grenada XT2 [Radeon R9 390X]
 		1787 2020  R9 290X IceQ X² Turbo
-	67b1  Hawaii PRO [Radeon R9 290]
+		1787 2357  Grenada XT [Radeon R9 390X]
+	67b1  Hawaii PRO [Radeon R9 290/390]
+		1043 04dd  STRIX R9 390
+		148c 2358  Radeon R9 390
+		174b e324  Sapphire Nitro R9 390
 	67b9  Vesuvius [Radeon R9 295X2]
 	67be  Hawaii LE
 	67c0  Ellesmere [Polaris10]
-	67df  Ellesmere [Polaris10]
+	67df  Ellesmere [Radeon RX 470/480]
+		1002 0b37  Radeon RX 480
+		1043 04a8  Radeon RX 480
+		1043 04b0  Radeon RX 470
+		1043 04fb  Radeon RX 480
+		1462 3411  Radeon RX 470
+		1462 3413  Radeon RX 480
+		148c 2372  Radeon RX 480
+		148c 2373  Radeon RX 470
+		1682 9470  Radeon RX 470
+		1682 9480  Radeon RX 480
+		174b e347  Radeon RX 470/480
+		174b e349  Radeon RX 470
+		1787 a470  Radeon RX 470
+		1787 a480  Radeon RX 480
 	67e0  Baffin [Polaris11]
 	67e1  Baffin [Polaris11]
 	67e8  Baffin [Polaris11]
 	67e9  Baffin [Polaris11]
 	67eb  Baffin [Polaris11]
+	67ef  Baffin [Radeon RX 460]
 	67ff  Baffin [Polaris11]
 	6800  Wimbledon XT [Radeon HD 7970M]
 		1002 0124  Radeon HD 7970M
@@ -2779,11 +2874,12 @@
 		174b e180  Radeon HD 7350
 		17af 3015  Radeon HD 7350
 	68fe  Cedar LE
-	6900  Topaz XT [Radeon R7 M260/M265 / M340/M360]
+	6900  Topaz XT [Radeon R7 M260/M265 / M340/M360 / M440/M445]
 		1025 1056  Radeon R7 M360 / R8 M365DX
 		1028 0640  Radeon R7 M260/M265
 		1028 0643  Radeon R7 M260/M265
 		1028 067f  Radeon R7 M260
+		1028 0767  Radeon R7 M445
 		1028 130a  Radeon R7 M260
 		103c 2263  Radeon R7 M260
 		103c 2269  Radeon R7 M260
@@ -2794,6 +2890,7 @@
 		103c 80b5  Radeon R7 M360
 		103c 80b9  Radeon R7 M360
 		103c 811c  Radeon R7 M340
+		103c 8226  Radeon R7 M440
 		10cf 1906  Radeon R7 M260
 		1170 9979  Radeon R7 M360
 		1179 f903  Radeon R7 M260
@@ -2805,12 +2902,20 @@
 		17aa 5021  Radeon R7 M260
 	6901  Topaz PRO [Radeon R5 M255]
 		103c 1318  Radeon R6 M255DX
+	6907  Meso XT [Radeon R5 M315]
 	6921  Amethyst XT [Radeon R9 M295X]
 	6929  Tonga XT GL [FirePro S7150]
 	692b  Tonga PRO GL [FirePro W7100]
 	692f  Tonga XTV GL [FirePro S7150V]
-	6938  Tonga XT / Amethyst XT [Radeon R9 380X / R9 M295X Mac Edition]
+	6938  Tonga XT / Amethyst XT [Radeon R9 380X / R9 M295X]
+		1043 04f5  Radeon R9 380X
+		1043 04f7  Radeon R9 380X
+		106b 013a  Radeon R9 M295X Mac Edition
+		1458 22c8  Radeon R9 380X
+		148c 2350  Radeon R9 380X
+		1682 9385  Radeon R9 380X
 		174b e308  Radeon R9 380X Nitro 4G D5
+		17af 2006  Radeon R9 380X
 	6939  Tonga PRO [Radeon R9 285/380]
 		148c 9380  Radeon R9 380
 # Make naming scheme consistent
@@ -2937,6 +3042,7 @@
 	72b3  RV560 [Radeon X1650 GT] (Secondary)
 	7300  Fiji [Radeon R9 FURY / NANO Series]
 		1002 0b36  Radeon R9 FURY X / NANO
+		1002 1b36  Radeon Pro Duo
 		1043 049e  Radeon R9 FURY
 		1043 04a0  Radeon R9 FURY X
 		174b e329  Radeon R9 FURY
@@ -3131,7 +3237,7 @@
 	95cc  RV620 GL [FirePro V3700]
 	95cd  RV620 [FirePro 2450]
 	95cf  RV620 GL [FirePro 2260]
-	960f  RS780 HDMI Audio [Radeon (HD) 3000 Series]
+	960f  RS780 HDMI Audio [Radeon 3000/3100 / HD 3200/3300]
 	9610  RS780 [Radeon HD 3200]
 		1458 d000  GA-MA78GM-S2H Motherboard
 	9611  RS780C [Radeon 3100]
@@ -3232,7 +3338,7 @@
 	9917  Trinity [Radeon HD 7620G]
 	9918  Trinity [Radeon HD 7600G]
 	9919  Trinity [Radeon HD 7500G]
-	9920  Liverpool Graphics
+	9920  Liverpool [Playstation 4 APU]
 	9921  Liverpool HDMI/DP Audio Controller
 	9990  Trinity [Radeon HD 7520G]
 	9991  Trinity [Radeon HD 7540D]
@@ -3252,40 +3358,41 @@
 	99a0  Trinity [Radeon HD 7520G]
 	99a2  Trinity [Radeon HD 7420G]
 	99a4  Trinity [Radeon HD 7400G]
-	aa00  R600 HDMI Audio [Radeon HD 2900 Series]
-	aa08  RV630 HDMI Audio [Radeon HD 2600 Series]
-	aa10  RV610 HDMI Audio [Radeon HD 2350/2400 Series]
+	aa00  R600 HDMI Audio [Radeon HD 2900 GT/PRO/XT]
+	aa01  RV635 HDMI Audio [Radeon HD 3650/3730/3750]
+	aa08  RV630 HDMI Audio [Radeon HD 2600 PRO/XT / HD 3610]
+	aa10  RV610 HDMI Audio [Radeon HD 2350 PRO / 2400 PRO/XT / HD 3410]
 		174b aa10  Radeon HD 2400 PRO
 		18bc aa10  Radeon HD 2400 PRO
 	aa18  RV670/680 HDMI Audio [Radeon HD 3690/3800 Series]
-	aa20  RV635 HDMI Audio [Radeon HD 3600 Series]
-	aa28  RV620 HDMI Audio [Radeon HD 3400 Series]
+	aa20  RV635 HDMI Audio [Radeon HD 3650/3730/3750]
+	aa28  RV620 HDMI Audio [Radeon HD 3450/3470/3550/3570]
 	aa30  RV770 HDMI Audio [Radeon HD 4850/4870]
 		174b aa30  Radeon HD 4850 512MB GDDR3 PCI-E Dual Slot Fansink
 	aa38  RV710/730 HDMI Audio [Radeon HD 4000 series]
 		103c 3628  dv6-1190en
-	aa50  Cypress HDMI Audio [Radeon HD 5800 Series]
+	aa50  Cypress HDMI Audio [Radeon HD 5830/5850/5870 / 6850/6870 Rebrand]
 	aa58  Juniper HDMI Audio [Radeon HD 5700 Series]
 # 5500, 5600 and mobile 5700 series
 	aa60  Redwood HDMI Audio [Radeon HD 5000 Series]
 		1025 033d  Mobility Radeon HD 5650
 		1025 0347  Aspire 7740G
-	aa68  Cedar HDMI Audio [Radeon HD 5400/6300 Series]
+	aa68  Cedar HDMI Audio [Radeon HD 5400/6300/7300 Series]
 		1028 aa68  XPS 8300
-	aa80  Cayman/Antilles HDMI Audio [Radeon HD 6900 Series]
-	aa88  Barts HDMI Audio [Radeon HD 6800 Series]
-	aa90  Turks/Whistler HDMI Audio [Radeon HD 6000 Series]
+	aa80  Cayman/Antilles HDMI Audio [Radeon HD 6930/6950/6970/6990]
+	aa88  Barts HDMI Audio [Radeon HD 6790/6850/6870 / 7720 OEM]
+	aa90  Turks HDMI Audio [Radeon HD 6500/6600 / 6700M Series]
 		1028 04a3  Precision M4600
-	aa98  Caicos HDMI Audio [Radeon HD 6400 Series]
+	aa98  Caicos HDMI Audio [Radeon HD 6450 / 7450/8450/8490 OEM / R5 230/235/235X OEM]
 		174b aa98  Radeon HD 6450 1GB DDR3
-	aaa0  Tahiti XT HDMI Audio [Radeon HD 7970 Series]
+	aaa0  Tahiti HDMI Audio [Radeon HD 7870 XT / 7950/7970]
 	aab0  Cape Verde/Pitcairn HDMI Audio [Radeon HD 7700/7800 Series]
 	aac0  Tobago HDMI Audio [Radeon R7 360 / R9 360 OEM]
-	aac8  Hawaii HDMI Audio
+	aac8  Hawaii HDMI Audio [Radeon R9 290/290X / 390/390X]
 # I have a Tonga card and this is the HDMI Audio part
 	aad8  Tonga HDMI Audio [Radeon R9 285/380]
 		174b aad8  Radeon R9 285/380 HDMI Audio
-	aae8  Fiji HDMI/DP Audio Controller
+	aae8  Fiji HDMI/DP Audio [Radeon R9 Nano / FURY/FURY X]
 	ac00  Theater 600 Pro
 	ac02  TV Wonder HD 600 PCIe
 	ac12  Theater HD T507 (DVB-T) TV tuner/capture device
@@ -3708,6 +3815,7 @@
 	04da  PCI-E IPR SAS+ Adapter (ASIC)
 		1014 04fb  PCIe3 x16 20GB Cache 12Gb Quad SAS RAID+ Adapter(580B)
 		1014 04fc  PCIe3 x8 12Gb Quad SAS RAID+ Adapter(580A)
+	04ed  Internal Shared Memory (ISM) virtual PCI device
 	3022  QLA3022 Network Adapter
 	4022  QLA3022 Network Adapter
 	ffff  MPIC-2 interrupt controller
@@ -4378,6 +4486,11 @@
 		102b 2241  M9138 LP PCIe x16
 		102b 2280  M9188 ATX PCIe x16
 		102b 22c0  M9128 LP PCIe x16
+	0550  SV2
+		102b 00c0  MURA-IPX-I4EF
+		102b 00c1  MURA-IPX-I4DF
+		102b 00c3  MURA-IPX-I4DHF
+		102b 00c5  MURA-IPX-I4EHF
 	0d10  MGA Ultima/Impression
 	1000  MGA G100 [Productiva]
 		102b ff01  Productiva G100
@@ -5904,8 +6017,14 @@
 		1077 029a  QLE2742 Dual Port 32Gb Fibre Channel to PCIe Adapter
 		1077 029b  QLE2690 Single Port 16Gb Fibre Channel to PCIe Adapter
 		1077 029c  QLE2692 Dual Port 16Gb Fibre Channel to PCIe Adapter
+		1077 02a7  QLE2690 Single Port 16Gb FC to PCIe Gen3 x8 Adapter
+		1077 02a8  QLE2692 Dual Port 16Gb FC to PCIe Gen3 x8 Adapter
+		1077 02ab  QLE2740 Single Port 32Gb FC to PCIe Gen3 x8 Adapter
+		1077 02ac  QLE2742 Dual Port 32Gb FC to PCIe Gen3 x8 Adapter
 		1590 00f9  HPE StoreFabric SN1100Q 16Gb Single Port Fibre Channel Host Bus Adapter
 		1590 00fa  HPE StoreFabric SN1100Q 16Gb Dual Port Fibre Channel Host Bus Adapter
+		1590 0203  HPE StoreFabric SN1600Q 32Gb Single Port Fibre Channel Host Bus Adapter
+		1590 0204  HPE StoreFabric SN1600Q 32Gb Dual Port Fibre Channel Host Bus Adapter
 	2300  QLA2300 64-bit Fibre Channel Adapter
 	2312  ISP2312-based 2Gb Fibre Channel to PCI-X HBA
 		103c 0131  2Gb Fibre Channel - Single port [A7538A]
@@ -7239,6 +7358,7 @@
 	8533  PEX 8533 32-lane, 6-port PCI Express Switch
 	8547  PEX 8547 48-lane, 3-port PCI Express Switch
 	8548  PEX 8548 48-lane, 9-port PCI Express Switch
+	8603  PEX 8603 3-lane, 3-Port PCI Express Gen 2 (5.0 GT/s) Switch
 	8604  PEX 8604 4-lane, 4-Port PCI Express Gen 2 (5.0 GT/s) Switch
 	8605  PEX 8605 PCI Express 4-port Gen2 Switch
 	8606  PEX 8606 6 Lane, 6 Port PCI Express Gen 2 (5.0 GT/s) Switch
@@ -7265,9 +7385,11 @@
 	8696  PEX 8696 96-lane, 24-Port PCI Express Gen 2 (5.0 GT/s) Multi-Root Switch
 	8717  PEX 8717 16-lane, 8-Port PCI Express Gen 3 (8.0 GT/s) Switch with DMA
 	8718  PEX 8718 16-Lane, 5-Port PCI Express Gen 3 (8.0 GT/s) Switch
+	8724  PEX 8724 24-Lane, 6-Port PCI Express Gen 3 (8 GT/s) Switch, 19 x 19mm FCBGA
 	8732  PEX 8732 32-lane, 8-Port PCI Express Gen 3 (8.0 GT/s) Switch
 	8734  PEX 8734 32-lane, 8-Port PCI Express Gen 3 (8.0GT/s) Switch
 	8747  PEX 8747 48-Lane, 5-Port PCI Express Gen 3 (8.0 GT/s) Switch
+	8748  PEX 8748 48-Lane, 12-Port PCI Express Gen 3 (8 GT/s) Switch, 27 x 27mm FCBGA
 # This is the Non-Transparent-Bridge Virtualized Port as presented by the PLX PEX 8732 chip, the physical bridges show up at 10b5:8732
 	87b0  PEX 8732 32-lane, 8-Port PCI Express Gen 3 (8.0 GT/s) Switch
 		1093 7761  PXIe-8830mc
@@ -7407,6 +7529,7 @@
 		1885 0700  Tsunami FPGA PMC with Altera Stratix S40
 		1885 0701  Tsunami FPGA PMC with Altera Stratix S30
 	9733  PEX 9733 33-lane, 9-port PCI Express Gen 3 (8.0 GT/s) Switch
+		1d49 0001  ThinkSystem P310W-4P NVMe Switch Card
 	9749  PEX 9749 49-lane, 13-port PCI Express Gen 3 (8.0 GT/s) Switch
 	a100  Blackmagic Design DeckLink
 	bb04  B&B 3PCIOSD1A Isolated PCI Serial
@@ -9775,6 +9898,7 @@
 	0f01  GF108 [GeForce GT 620]
 	0f02  GF108 [GeForce GT 730]
 	0f06  GF108 [GeForce GT 730]
+	0fb0  GM200 High Definition Audio
 	0fbb  GM204 High Definition Audio Controller
 	0fc0  GK107 [GeForce GT 640 OEM]
 	0fc1  GK107 [GeForce GT 640]
@@ -9948,6 +10072,7 @@
 	10c3  GT218 [GeForce 8400 GS Rev. 3]
 	10c5  GT218 [GeForce 405]
 	10d8  GT218 [NVS 300]
+	10f0  GP104 High Definition Audio Controller
 	1140  GF117M [GeForce 610M/710M/810M/820M / GT 620M/625M/630M/720M]
 		1019 0799  GeForce 820M
 		1019 999f  GeForce GT 720M
@@ -10143,7 +10268,7 @@
 		144d c0e3  NVS 5200M
 		144d c0e4  NVS 5200M
 		144d c10d  GeForce 820M
-		144d c652  GeForce GT 620M
+		144d c652  GeForce GT 620M on NP300E5C series laptop
 		144d c709  GeForce 710M
 		144d c711  GeForce 710M
 		144d c736  GeForce 710M
@@ -10395,7 +10520,7 @@
 	1287  GK208 [GeForce GT 730]
 	1288  GK208 [GeForce GT 720]
 	1289  GK208 [GeForce GT 710]
-	128b  GK208 [GeForce GT 710]
+	128b  GK208 [GeForce GT 710B]
 	1290  GK208M [GeForce GT 730M]
 		103c 2afa  GeForce GT 730A
 		103c 2b04  GeForce GT 730A
@@ -10436,12 +10561,13 @@
 	1344  GM108M [GeForce 845M]
 	1346  GM108M [GeForce 930M]
 	1347  GM108M [GeForce 940M]
-	1348  GM108M [GeForce 945A]
+	1348  GM108M [GeForce 945M / 945A]
 	1349  GM108M [GeForce 930M]
 	134d  GM108M [GeForce 940MX]
 	134e  GM108M [GeForce 930MX]
 	134f  GM108M [GeForce 920MX]
-	137a  GM108GLM [Quadro K620M]
+	137a  GM108GLM [Quadro K620M / Quadro M500M]
+		17aa 505a  Quadro M500M
 	137d  GM108M [GeForce 940A]
 	1380  GM107 [GeForce GTX 750 Ti]
 	1381  GM107 [GeForce GTX 750]
@@ -10464,6 +10590,7 @@
 	139b  GM107M [GeForce GTX 960M]
 		103c 2b4c  GeForce GTX 960A
 	139c  GM107M [GeForce 940M]
+	139d  GM107M [GeForce GTX 750 Ti]
 	13b0  GM107GLM [Quadro M2000M]
 	13b1  GM107GLM [Quadro M1000M]
 	13b2  GM107GLM [Quadro M600M]
@@ -10472,7 +10599,9 @@
 	13ba  GM107GL [Quadro K2200]
 	13bb  GM107GL [Quadro K620]
 	13bc  GM107GL [Quadro K1200]
-	13bd  GM107GL [GRID M40]
+	13bd  GM107GL [Tesla M10]
+		10de 110a  GRID M40
+		10de 1160  Tesla M10
 	13c0  GM204 [GeForce GTX 980]
 		1043 8504  GTX980-4GD5
 	13c1  GM204
@@ -10489,21 +10618,63 @@
 	13f8  GM204GLM [Quadro M5000M]
 	13f9  GM204GLM [Quadro M4000M]
 	13fa  GM204GLM [Quadro M3000M]
+		10de 11c9  Quadro M3000 SE
+	13fb  GM204GLM [Quadro M5500]
 	1401  GM206 [GeForce GTX 960]
 	1402  GM206 [GeForce GTX 950]
+	1406  GM206 [GeForce GTX 960]
 	1407  GM206 [GeForce GTX 750 v2]
 	1427  GM206M [GeForce GTX 965M]
+	1430  GM206GL [Quadro M2000]
 	1431  GM206GL [Tesla M4]
+	15f0  GP100GL
+	15f1  GP100GL
+	15f8  GP100GL
+	15f9  GP100GL
 	1617  GM204M [GeForce GTX 980M]
 	1618  GM204M [GeForce GTX 970M]
 	1619  GM204M [GeForce GTX 965M]
 	161a  GM204M [GeForce GTX 980]
 	1667  GM204M [GeForce GTX 965M]
+	1725  GP100
+	172e  GP100
+	172f  GP100
 	17c2  GM200 [GeForce GTX TITAN X]
 	17c8  GM200 [GeForce GTX 980 Ti]
 	17f0  GM200GL [Quadro M6000]
 	17f1  GM200GL [Quadro M6000 24GB]
 	17fd  GM200GL [Tesla M40]
+	1b00  GP102 [TITAN X]
+	1b01  GP102
+	1b30  GP102GL [Quadro P6000]
+	1b70  GP102GL
+	1b78  GP102GL
+	1b80  GP104 [GeForce GTX 1080]
+	1b81  GP104 [GeForce GTX 1070]
+	1b82  GP104
+	1b83  GP104
+	1ba0  GP104M [GeForce GTX 1080]
+	1ba1  GP104M [GeForce GTX 1070]
+	1bb0  GP104GL [Quadro P5000]
+	1bb1  GP104GL
+	1bb4  GP104GL
+	1be0  GP104M [GeForce GTX 1080]
+	1be1  GP104M [GeForce GTX 1070]
+	1c00  GP106
+	1c01  GP106
+	1c02  GP106 [GeForce GTX 1060 3GB]
+	1c03  GP106 [GeForce GTX 1060 6GB]
+	1c20  GP106M [GeForce GTX 1060]
+	1c30  GP106GL
+	1c60  GP106M [GeForce GTX 1060]
+	1c70  GP106GL
+	1c80  GP107
+	1c81  GP107
+	1c82  GP107 [GeForce GTX 1050 Ti]
+	1ca7  GP107GL
+	1ca8  GP107GL
+	1caa  GP107GL
+	1d01  GP108
 10df  Emulex Corporation
 	0720  OneConnect NIC (Skyhawk)
 		103c 1934  FlexFabric 20Gb 2-port 650M Adapter
@@ -10534,6 +10705,7 @@
 	e240  OneConnect iSCSI Initiator (Lancer)
 	e260  OneConnect FCoE Initiator (Lancer)
 	e268  OneConnect 10Gb FCoE Converged Network Adapter (Lancer-VF)
+	e300  Lancer Gen6: LPe32000 Fibre Channel Host Adapter
 	f011  Saturn: LightPulse Fibre Channel Host Adapter
 	f015  Saturn: LightPulse Fibre Channel Host Adapter
 	f085  LP850 Fibre Channel Host Adapter
@@ -10672,6 +10844,7 @@
 	5250  RTS5250 PCI Express Card Reader
 	525a  RTS525A PCI Express Card Reader
 	5286  RTS5286 PCI Express Card Reader
+	5287  RTL8411B PCI Express Card Reader
 	5288  RTS5288 PCI Express Card Reader
 	5289  RTL8411 PCI Express Card Reader
 		1043 1457  K55A Laptop
@@ -10687,6 +10860,7 @@
 		11ec 8129  RTL8111/8168 PCIe Gigabit Ethernet (misconfigured)
 	8136  RTL8101/2/6E PCI Express Fast/Gigabit Ethernet controller
 		103c 1985  Pavilion 17-e163sg Notebook PC
+		103c 2a8c  Compaq 500B Microtower
 		103c 2ab1  Pavilion p6774
 		103c 30cc  Pavilion dv6700
 		1179 ff64  RTL8102E PCI-E Fast Ethernet NIC
@@ -10753,6 +10927,7 @@
 		1028 0283  Vostro 220
 		1028 04b2  Vostro 3350
 		1028 04da  Vostro 3750
+		1028 06f3  Latitude 3570
 		103c 1611  Pavilion DM1Z-3000
 		103c 1950  ProBook 450/455
 		103c 2a6f  Asus IPIBL-LB Motherboard
@@ -10764,7 +10939,8 @@
 		1043 8505  P8 series motherboard
 		105b 0d7c  D270S/D250S Motherboard
 		10ec 8168  RTL8111/8168 PCI Express Gigabit Ethernet controller
-		1458 e000  Motherboard
+		144d c652  RTL8168 on a NP300E5C series laptop
+		1458 e000  Onboard Ethernet
 		1462 238c  Onboard RTL8111b on MSI P965 Platinum Mainboard
 		1462 368c  K9AG Neo2
 		1462 4180  Wind PC MS-7418
@@ -10794,10 +10970,12 @@
 	8173  RTL8192SE Wireless LAN Controller
 	8174  RTL8192SE Wireless LAN Controller
 	8176  RTL8188CE 802.11b/g/n WiFi Adapter
+		1043 84b5  PCE-N10
 		1a3b 1139  AW-NE139H Half-size Mini PCIe Card
 	8177  RTL8191CE PCIe Wireless Network Adapter
 	8178  RTL8192CE PCIe Wireless Network Adapter
 	8179  RTL8188EE Wireless Network Adapter
+		103c 197d  RTL8188EE mini-PCIe card
 	8180  RTL8180L 802.11b MAC
 		1385 4700  MA521 802.11b Wireless PC Card
 		1737 0019  WPC11v4 802.11b Wireless-B Notebook Adapter
@@ -10807,6 +10985,7 @@
 	8191  RTL8192CE PCIe Wireless Network Adapter
 	8192  RTL8192E/RTL8192SE Wireless LAN Controller
 	8193  RTL8192DE Wireless LAN Controller
+	8196  RTL8196 Integrated PCI-e Bridge
 	8197  SmartLAN56 56K Modem
 	8199  RTL8187SE Wireless LAN Controller
 		1462 6894  MN54G2 / MS-6894 Wireless Mini PCIe Card
@@ -10835,6 +11014,8 @@
 	3fc4  RME Digi9652 (Hammerfall)
 	3fc5  RME Hammerfall DSP
 	3fc6  RME Hammerfall DSP MADI
+	7038  FPGA Card XC7VX690T
+		17aa 402f  FPGA XC7VX690T-3FFG1157E
 	8380  Ellips ProfiXpress Profibus Master
 	8381  Ellips Santos Frame Grabber
 	d154  Copley Controls CAN card (PCI-CAN-02)
@@ -10879,46 +11060,88 @@
 	9500  INI-950 SCSI Adapter
 	9502  INI-950P Ultra Wide SCSI Adapter
 1102  Creative Labs
-	0002  SB Live! EMU10k1
+	0002  EMU10k1 [Sound Blaster Live! Series]
 		100a 1102  SB Live! 5.1 Digital OEM SB0220 EMU10K1-JFF
-		1102 0020  CT4850 SBLive! Value
+		1102 0020  CT4670/4850 SBLive! Value
 		1102 0021  CT4620 SBLive!
-		1102 002f  SBLive! mainboard implementation
-		1102 100a  SB Live! 5.1 Digital OEM [SB0220]
+		1102 002f  M002/M003 Integrated SBLive!
+		1102 100a  SB0220/0229 SBLive! 5.1 Digital OEM
 		1102 4001  E-mu APS
 		1102 8022  CT4780 SBLive! Value
 		1102 8023  CT4790 SoundBlaster PCI512
 		1102 8024  CT4760 SBLive!
-		1102 8025  SBLive! Mainboard Implementation
+		1102 8025  CT1140/SB0040 Integrated SBLive!
 		1102 8026  CT4830 SBLive! Value
 		1102 8027  CT4832 SBLive! Value
-		1102 8028  CT4760 SBLive! OEM version
+		1102 8028  CT4870 SBLive! Value
+		1102 8029  CT4872 SBLive! Value
+		1102 802a  CT4890 SoundBlaster PCI256
+		1102 802b  CT4891 SoundBlaster PCI256
 		1102 8031  CT4831 SBLive! Value
+		1102 8032  CT4871 SBLive! Value
+		1102 8033  CT4893 SoundBlaster PCI256
+		1102 8035  CT0060 SBLive!
 		1102 8040  CT4760 SBLive!
+		1102 8050  CT4750 SoundBlaster PCI512
 		1102 8051  CT4850 SBLive! Value
-		1102 8061  SBLive! Player 5.1
-		1102 8064  SBLive! 5.1 Model SB0100
-		1102 8065  SBLive! 5.1 Digital Model SB0220
-		1102 8066  Live! 5.1 Digital [SB0228]
-		1102 8067  SBLive! 5.1 eMicro 28028
-	0004  SB Audigy
-		1102 0051  SB0090 Audigy Player
-		1102 0053  SB0090 Audigy Player/OEM
-		1102 0058  SB0090 Audigy Player/OEM
-		1102 1002  SB Audigy2 Platinum
-		1102 1003  SB0350 Audigy 2
-		1102 1007  SB0240 Audigy 2 Platinum 6.1
-		1102 1009  SB Audigy2 OEM HP
-		1102 2001  SB Audigy 2 ZS Platinum Pro
-		1102 2002  SB Audigy 2 ZS (SB0350)
-		1102 4001  E-MU 1010
+		1102 8061  SB060 SBLive! Player 5.1
+		1102 8062  SB0100 SBLive! 5.1
+		1102 8063  DXW Integrated SBLive! 5.1
+		1102 8064  SB0100/SB0102 SBLive! 5.1
+		1102 8065  SB0220/0222 SBLive! 5.1 Digital
+		1102 8066  SB0228 SBLive! 5.1 Digital
+		1102 8067  SB0220 SBLive! 5.1
+		1102 8068  CT0061 SBLive!
+		1102 8069  SB0101 SBLive! 5.1 Value
+		1102 806a  SB0103 SBLive! 5.1
+		1102 806b  SB0105 SBLive! 5.1
+		1102 806c  SB0221 SBLive! 5.1
+		1102 8071  SB0150 SoundBlaster PCI512
+# EMU8008 PCI version of emu8000 chip
+	0003  SB AWE64(D)
+	0004  EMU10k2/CA0100/CA0102/CA10200 [Sound Blaster Audigy Series]
+		1102 0040  SB0090 Audigy Player
+# Probably an early engineering sample
+		1102 0041  CT4820 SBLive!2
+		1102 0042  CT0070 Audigy
+		1102 0043  CT0072 Audigy
+		1102 0051  SB0090 Audigy Player/Platinum (EX)
+		1102 0052  SB0162 Audigy ES
+		1102 0053  CT0090/SB0092 Audigy Player/OEM
+		1102 0054  SB0161 Audigy ES
+		1102 0055  SB0192 Audigy
+		1102 0056  SB0191 Audigy
+		1102 0057  SB0091 Audigy
+		1102 0058  SB0095 Audigy Player/OEM
+		1102 0059  SB0230 Audigy
+		1102 005a  SB0231 Audigy
+		1102 005b  SB0232 Audigy
+		1102 005c  SB0238 Audigy
+		1102 1002  SB0240 Audigy 2 Platinum 6.1
+		1102 1003  SB0350 Audigy 2 / SB0243 Audigy 2 OEM
+		1102 1004  SB0242 Audigy 2
+		1102 1005  SB0280 Audigy 2 Platinum Ex
+		1102 1006  SB0245 Audigy 2 OEM
+		1102 1007  SB0240/SB0244 Audigy 2 Platinum
+		1102 1008  SB0320 Audigy 2
+		1102 1009  SB0249 Audigy 2 OEM
+		1102 100a  SB0246 Audigy 2
+		1102 2001  SB0360 Audigy 2 ZS Platinum Pro
+		1102 2002  SB0350 Audigy 2 ZS
+		1102 2003  SB0352 Audigy 2 ZS
+		1102 2004  SB0355 Audigy 2 ZS
+		1102 2005  SB0359 Audigy 2 ZS
+		1102 2006  SB035x Audigy 2 OEM
+		1102 2007  SB0380 Audigy 4 Pro
+		1102 4001  E-MU 1010 [MAEM8810]
 		1102 4002  E-MU 0404
-	0005  SB X-Fi
+		1102 4003  E-MU 1010
+	0005  EMU20k1 [Sound Blaster X-Fi Series]
 		1102 0021  X-Fi Platinum
 		1102 002c  X-Fi XtremeGamer FATAL1TY PRO
 		1102 1003  X-Fi XtremeMusic
-	0006  [SB Live! Value] EMU10k1X
-	0007  CA0106 Soundblaster
+	0006  EMU10k1X [SB Live! Value/OEM Series]
+	0007  CA0106/CA0111 [SB Live!/Audigy/X-Fi Series]
 		1102 0007  SBLive! 24bit
 		1102 1001  SB0310 Audigy LS
 		1102 1002  SB0312 Audigy LS
@@ -10927,15 +11150,30 @@
 		1102 1012  SB0790 X-Fi XA
 		1102 1013  Soundblaster X-Fi Xtreme Audio
 		1462 1009  K8N Diamond
-	0008  SB0400 Audigy2 Value
+	0008  CA0108/CA10300 [Sound Blaster Audigy Series]
 		1102 0008  EMU0404 Digital Audio System
+		1102 1001  SB0400 Audigy 2 Value
+		1102 1021  SB0610 Audigy 4 Value
+		1102 1022  SBxxx Audigy 2/4 Value
+		1102 1023  SB0612 Audigy 2 LS
+		1102 1024  SB1550 Audigy 5/Rx
+		1102 1101  SBxxxx Audigy 2 SA
+		1102 2001  SB0530 Audigy 2 ZS Notebook
+		1102 2021  SBxxxx Audigy 4 Notebook
+		1102 4002  E-MU 0404
+		1102 4003  E-MU 1010
 		1102 4004  EMU1010 Digital Audio System [MAEM8960]
-	0009  [SB X-Fi Xtreme Audio] CA0110-IBG
-		1102 0010  [SB X-Fi Xtreme Audio] CA0110-IBG
-		1102 0018  SB1040
-	000b  EMU20k2 [X-Fi Titanium Series]
+		1102 4005  E-MU 0404 [MAEM8984]
+		1102 4007  E-MU 1010 [MAEM8982]
+		1102 4201  E-MU 0202 [MAEM8950]
+	0009  CA0110 [Sound Blaster X-Fi Xtreme Audio]
+		1102 0010  MB0820 Integrated
+		1102 0018  SB1040 PCI Express
+	000b  EMU20k2 [Sound Blaster X-Fi Titanium Series]
 		1102 0041  SB0880 [SoundBlaster X-Fi Titanium PCI-e]
-	0012  SB Recon3D
+		1102 0062  SB1270 [SoundBlaster X-Fi Titanium HD]
+	0012  Sound Core3D [Sound Blaster Recon3D / Z-Series]
+		1102 0010  SB1570 SB Audigy Fx
 	4001  SB Audigy FireWire Port
 		1102 0010  SB Audigy FireWire Port
 	7002  SB Live! Game Port
@@ -11849,6 +12087,7 @@
 		1093 75ff  PXIe-8383mc DMA
 		1093 7600  PXIe-8383mc DMA
 		1093 7602  PXIe-8384
+	808e  PES24NT24G2 PCI Express Switch
 # 32 port / 8 lane PCIe Gen 2 packet switch
 	808f  PES32NT8AG2
 	80cf  F32P08xG3 [PCIe boot mode]
@@ -12769,7 +13008,7 @@
 		103c 30b5  Presario V3242AU
 		103c 30b7  Presario V6133CL
 		103c 30cc  Pavilion dv6700
-		103c 30cf  Pavilion dv9500/9600/9700 series
+		103c 30cf  Pavilion dv95xx/96xx/97xx/98xx series
 		1043 1237  A6J-Q008
 		1043 1967  V6800V
 		144d c018  X20 IV
